// Copyright 2000-2005 the Contributors, as shown in the revision logs.
// Licensed under the Apache Public Source License 2.0 ("the License").
// You may not use this file except in compliance with the License.

package org.ibex.jinetd;
import org.ibex.util.*;
import java.io.*;
import java.util.*;
import java.lang.reflect.*;

public class Host extends Loader {

    final String hostname;
    public Host(String path, String hostname) { super(path); this.hostname = hostname; }

    public void changed(Watched w) {
        super.changed(w);
        Log.debug(this, "changed(" + w + ")");
        try {
            ClassLoader cl = getClassLoader();
            if (cl == null) return;
            Class c = cl.loadClass("Main");
            if (c == null) return;
            Method m = c.getMethod("main", new Class[] { });
            m.invoke(null, new Object[] { });
        } catch (Exception e) {
            Log.warn(this, "nope");
        }
    }
}
